Dockerfile.vim
==============

Vim syntax file for [Docker](http://docker.io/)'s [Dockerfile](http://docs.docker.com/reference/builder/)
and snippets for [snipMate](http://www.vim.org/scripts/script.php?script_id=2540).

Screenshot
==========

Here is an example in gnome-terminal with [vim-monokai](https://github.com/sickill/vim-monokai) color scheme:


![Vim & Dockerfile.vim ](https://raw.github.com/ekalinin/Dockerfile.vim/master/vim-dockerfile-example.png)



Installation
============

```bash
$ git clone https://github.com/ekalinin/Dockerfile.vim.git
$ cd Dockerfile.vim
$ make install
```

#### Or using Pathogen:
```bash
# Clone directly into the bundle folder.
git clone https://github.com/ekalinin/Dockerfile.vim.git ~/.vim/bundle/Dockerfile
```

#### Or using Vundle:
```bash
# near the top of your .vimrc
Plugin 'ekalinin/Dockerfile.vim'
```

#### Or using NeoBundle:

```bash
NeoBundle 'ekalinin/Dockerfile.vim'
```

#### Or using Vim-Plug

```bash
# Inside the Vim-Plug block on your .vimrc
Plug 'ekalinin/Dockerfile.vim'
```


License
=======

See [LICENSE](https://github.com/ekalinin/Dockerfile.vim/blob/master/LICENSE) file.
